Subject: Re: [ieee-ietf-coord] routing area design team on dataplane encapsulation considerations

From: Eric Gray <[email-masked]>
Date: Wed, 10 Dec 2014 17:08:04 +0000

I just noticed that – in mentioning DetNet – I misspoke.  It is only a BoF
at this point…

From: ieee-ietf-coord [mailto:[email-masked]] On Behalf Of Eric Gray
Sent: Wednesday, December 10, 2014 11:53 AM
To: [email-masked]
Subject: Re: [ieee-ietf-coord] routing area design team on dataplane encapsulation considerations

Folks,

Raising this issue in case it has not been raised already on this list.

The issue is with an announcement made by one of the Routing ADs
of the appointment of a design team with intention to provide DLL
encapsulation and protocol designers with advice on common ways
to interact with IP encapsulation on a number of issues.

As I understand this, this is an effort that may have started with a draft
written in March of this year.  Pat Thaler is one of the 3 co-authors (with
Bob Briscoe from BT and John Kaippallimalil from Huawei) on that draft.

The current (-04) version of the above draft expired in September,
most likely because people wanted to figure out what to do about it
(and related work).

That draft is:
    “Guidelines for Adding Congestion Notification to Protocols that
      Encasulate IP”
    http://tools.ietf.org/html/draft-briscoe-tsvwg-ecn-encap-guidelines

There is also the Deterministic Networking (DetNet) WG, which sits
somewhat squarely in the middle of the “QoS” aspect of IP transport
protocols).

And there is the recent BIER work that may possibly have an impact on
IP transport over a few data link technologies.

I assume there is also related work on ECMP entropy, packet size and
fragmentation, OAM, security/privacy, extensibility and IPv6 header
protection as indicated in Alia’s mail (see below).

Alia sets what is in my opinion the right tone (consistent with the draft
mentioned above) in saying that the intention is to provide advice on
possible common ways to deal with these issues at the data-link layer
and how they may interact with IP.

As long as the design team stays with the spirit of that tone, it is likely
there will be issues for IEEE 802.

I believe this needs to be on our issues list for IEEE/IETF cooperation,
and folks should keep an eye on it.

In particular, some folks have expressed concerns that this might be
view as implying that the IETF is expanding its charter to include DLL
design.  I do not see that, but that best way to deal with this as a
perception issue is to track the activity.

--
Eric

From: routing-discussion [mailto:[email-masked]] On Behalf Of Alia Atlas
Sent: Tuesday, December 09, 2014 5:47 PM
To: [email-masked]<mailto:[email-masked]>
Subject: routing area design team on dataplane encapsulation considerations

I have chartered a Routing Area Design Team to work on data-plane encapsulation considerations.

I've bcc'd nvo3, sfc, bier, and rtgwg as the most directly relevant.  Please keep any conversation in one place on routing-discussion.

Erik Nordmark has kindly agreed to lead this design team.  The members of the design
team are:

  Albert Tian <[email-masked]<mailto:[email-masked]>>
  Erik Nordmark <[email-masked]<mailto:[email-masked]>>
  Jesse Gross <[email-masked]<mailto:[email-masked]>>
  Jon Hudson <[email-masked]<mailto:[email-masked]>>
  Larry Kreeger (kreeger) <[email-masked]<mailto:[email-masked]>>
  Pankaj Garg <[email-masked]<mailto:[email-masked]>>
  Pat Thaler <[email-masked]<mailto:[email-masked]>>
  Tom Herbert <[email-masked]<mailto:[email-masked]>>

The mailing list, [email-masked]<mailto:[email-masked]>, is closed but the archives are
publicly available at:
   http://www.ietf.org/mail-archive/web/rtg-dt-encap-considerations/current/maillist.html

The Design Team is chartered as follows:

There have been multiple efforts over the years that have resulted in new or modified data plane behaviors involving encapsulations. That includes IETF efforts like MPLS, LISP, and TRILL but also industry efforts like Vxlan and NVGRE.  These collectively can be seen as a source of insight into the properties that data planes need to meet.  The IETF is currently working on potentially new encapsulations in NVO3 and SFC and considering working on BIER. In addition there is work on tunneling in the INT area.

This is a short term design team chartered to collect and construct useful advice to parties working on new or modified data plane behaviors that include additional encapsulations.  The goal is for the group to document useful advice gathered from interacting with ongoing efforts.  An Internet Draft will be produced for IETF92 to capture that advice, which will be discussed in RTGWG.

Data plane encapsulations face a set of common issues such as:

  * How to provide entropy for ECMP
  * Issues around packet size and fragmentation/reassembly
  * OAM - what support is needed in an encapsulation format?
  * Security and privacy.
  * QoS
  * Congestion Considerations
  * IPv6 header protection (non-zero UDP checksum over IPv6 issue)
  * Extensibility - e.g., for evolving OAM, security, and/or congestion control
  * Layering of multiple encapsulations e.g., SFC over NVO3 over BIER

The design team will provide advice on those issues. The intention is that even where we have different encapsulations for different purposes carrying different data, each such encapsulation doesn’t have to reinvent the wheel for the above common issues.
The design team will look across the routing area in particular at SFC, NVO3 and BIER. It will not be involved in comparing or analyzing any particular encapsulation formats proposed in those WGs and BoFs but instead focus on common advice.

Regards,
Alia